
#define CCM_FIRST               8192               // 0x2000      // Common control shared messages
#define CCM_LAST                (CCM_FIRST + 512) // 0x200)
#define CCM_SETBKCOLOR          (CCM_FIRST + 1) // lParam is bkColor


/*                                                                             
 * ToolTips Flags                                                          
 */                                                                            
#define TTS_ALWAYSTIP              1 // 0x01
#define TTS_NOPREFIX               2 // 0x02
#define TTS_NOANIMATE             16 // 0x10
#define TTS_NOFADE                32 // 0x20
#define TTS_BALLOON               64 // 0x40

#define WM_USER                 1024 // 0x0400


//====== STATUS BAR CONTROL ===================================================

#define SBARS_SIZEGRIP           256 // 0x0100
#define SBT_TOOLTIPS            2048 // 0x0800


/*                                                                             
 * StatusBar Flags                                                          
 */                                                                            

#define SB_SETPARTS             (WM_USER+4)
#define SB_GETPARTS             (WM_USER+6)
#define SB_GETBORDERS           (WM_USER+7)
#define SB_SETMINHEIGHT         (WM_USER+8)
#define SB_SIMPLE               (WM_USER+9)
#define SB_GETRECT              (WM_USER+10)
#define SB_ISSIMPLE             (WM_USER+14)
#define SB_SETICON              (WM_USER+15)
#define SB_SETTIPTEXTA          (WM_USER+16)
#define SB_SETTIPTEXTW          (WM_USER+17)
#define SB_GETTIPTEXTA          (WM_USER+18)
#define SB_GETTIPTEXTW          (WM_USER+19)
#define SB_GETICON              (WM_USER+20)
#define SBT_OWNERDRAW                 4096     // 0x1000
#define SBT_NOBORDERS                  256     // 0x0100
#define SBT_POPOUT                     512     // 0x0200
#define SBT_RTLREADING                1024     // 0x0400
#define SB_SETBKCOLOR           CCM_SETBKCOLOR      // lParam = bkColor



