// ATOC.PRG - conversion from array to char and back
/*
       of course it only has a limited use. codblocks and objects cannot
       be stored and the entire length can be no longer than 64K.
*/

FUNCTION AToC( aArray )
   LOCAL i, nLen := Len( aArray )
   LOCAL cType, cElement, cArray := ""
   FOR i := 1 TO nLen
      cElement := Char( aArray[ i ] )
      IF ( cType := ValType( aArray[ i ] ) ) == "A"
         cArray += cElement
      ELSE
         cArray += Left( cType, 1) + I2Bin( Len( cElement ) ) + cElement
      ENDIF
   ENDFOR
RETURN "A" + I2Bin( Len( cArray ) ) + cArray

FUNCTION CToA( cArray )
   LOCAL cType, nLen, aArray := {}
   cArray := SubStr( cArray, 4 )    // strip off array and length
   WHILE Len( cArray ) > 0
      nLen := Bin2I( SubStr( cArray, 2, 2 ) )
      IF ( cType := Left( cArray, 1 ) ) == "A"
         AAdd( aArray, CToA( SubStr( cArray, 1, nLen + 3 ) ) )
      ELSE
         AAdd( aArray, Value( SubStr( cArray, 4, nLen ), cType ) )
      ENDIF
      cArray := SubStr( cArray, 4 + nLen )
   END
RETURN aArray

// EOF

