#define CW_USEDEFAULT       2147483648

#define WM_CREATE                       1
#define WM_DESTROY                      2
#define WM_MOVE                         3
#define WM_SIZE                         5
#define WM_ACTIVATE                     6

#define     WA_INACTIVE     0
#define     WA_ACTIVE       1
#define     WA_CLICKACTIVE  2

#define WM_SETFOCUS                     7
#define WM_KILLFOCUS                    8
#define WM_ENABLE                       10
#define WM_SETREDRAW                    11
#define WM_SETTEXT                      12
#define WM_GETTEXT                      13
#define WM_GETTEXTLENGTH                14
#define WM_PAINT                        15
#define WM_CLOSE                        16   // 0x0010
#define WM_QUIT                         18   // 0x0012 
#define WM_ERASEBKGND                   20   // 0x0014
#define WM_SYSCOLORCHANGE               21   // 0x0015
#define WM_SHOWWINDOW                   24   // 0x0018
#define WM_WININICHANGE                 26   // 0x001A
#define WM_DEVMODECHANGE                27   // 0x001B
#define WM_ACTIVATEAPP                  28   // 0x001C
#define WM_FONTCHANGE                   29   // 0x001D
#define WM_TIMECHANGE                   30   // 0x001E
#define WM_CANCELMODE                   31   // 0x001F
#define WM_SETCURSOR                    32   // 0x0020
#define WM_MOUSEACTIVATE                33   // 0x0021
#define WM_CHILDACTIVATE                34   // 0x0022
#define WM_QUEUESYNC                    35   // 0x0023  

#define WM_PAINTICON                    38   // 0x0026
#define WM_ICONERASEBKGND               39   // 0x0027
#define WM_NEXTDLGCTL                   40   // 0x0028
#define WM_SPOOLERSTATUS                42   // 0x002A
#define WM_DRAWITEM                     43   // 0x002B
#define WM_MEASUREITEM                  44   // 0x002C
#define WM_DELETEITEM                   45   // 0x002D
#define WM_VKEYTOITEM                   46   // 0x002E
#define WM_CHARTOITEM                   47   // 0x002F
#define WM_SETFONT                      48   // 0x0030
#define WM_GETFONT                      49   // 0x0031
#define WM_SETHOTKEY                    50   // 0x0032
#define WM_GETHOTKEY                    51   // 0x0033
#define WM_QUERYDRAGICON                55   // 0x0037
#define WM_COMPAREITEM                  57   // 0x0039

#define WM_COMPACTING                   65   // 0x0041
#define WM_COMMNOTIFY                   68   // 0x0044  /* no longer suported */
#define WM_WINDOWPOSCHANGING            70   // 0x0046
#define WM_WINDOWPOSCHANGED             71   // 0x0047

#define WM_POWER                        72   // 0x0048

//#if (WINVER >= 0x0400)
#define WM_NOTIFY                        78  // 0x004E
#define WM_INPUTLANGCHANGEREQUEST        79  // 0x0050
#define WM_INPUTLANGCHANGE               80  // 0x0051
#define WM_TCARD                         81  // 0x0052
#define WM_HELP                          82  // 0x0053
#define WM_USERCHANGED                   83  // 0x0054
#define WM_NOTIFYFORMAT                  84  // 0x0055

#define NFR_ANSI                             1
#define NFR_UNICODE                          2
#define NF_QUERY                             3
#define NF_REQUERY                           4

#define WM_CONTEXTMENU                  123  // 0x007B
#define WM_STYLECHANGING                124  // 0x007C
#define WM_STYLECHANGED                 125  // 0x007D
#define WM_DISPLAYCHANGE                126  // 0x007E
#define WM_GETICON                      127  // 0x007F
#define WM_SETICON                      128  // 0x0080
//#endif /* WINVER >= 0x0400 */


#define WM_NCCREATE                     129
#define WM_NCDESTROY                    130
#define WM_NCCALCSIZE                   131
#define WM_NCHITTEST                    132
#define WM_NCPAINT                      133
#define WM_NCACTIVATE                   134
#define WM_GETDLGCODE                   135

#define WM_KEYDOWN                      256    // 0x0100
#define WM_KEYUP                        257    // 0x0101

#define WM_INITDIALOG                   272
#define WM_COMMAND                      273
#define WM_SYSCOMMAND                   274
#define WM_TIMER                        275
#define WM_HSCROLL                      276
#define WM_VSCROLL                      277

#define WM_CTLCOLOREDIT                 307     // 0x0133

#define WM_MOUSEMOVE                    512    // 0x0200
#define WM_LBUTTONDOWN                  513    // 0x0201
#define WM_LBUTTONUP                    514    // 0x0202
#define WM_LBUTTONDBLCLK                515    // 0x0203

#define WM_NEXTMENU                     531    // 0x0213
#define WM_SIZING                       532    // 0x0214
#define WM_CAPTURECHANGED               533    // 0x0215
#define WM_MOVING                       534    // 0x0216


#define WM_MDICREATE                    544     // 0x0220
#define WM_MDIDESTROY                   545     // 0x0221
#define WM_MDIACTIVATE                  546     // 0x0222
#define WM_MDIRESTORE                   547     // 0x0223
#define WM_MDINEXT                      548     // 0x0224
#define WM_MDIMAXIMIZE                  549     // 0x0225
#define WM_MDITILE                      550     // 0x0226
#define WM_MDICASCADE                   551     // 0x0227
#define WM_MDIICONARRANGE               552     // 0x0228
#define WM_MDIGETACTIVE                 553     // 0x0229

#define WM_MDISETMENU                   554     // 0x0230
#define WM_ENTERSIZEMOVE                555     // 0x0231
#define WM_EXITSIZEMOVE                 556     // 0x0232
#define WM_DROPFILES                    567     // 0x0233
#define WM_MDIREFRESHMENU               568     // 0x0234


#define SC_MINIMIZE                   61472   // 0xF020
#define SC_MAXIMIZE                   61488   // 0xF030
#define SC_CLOSE                      61536   // 0xF060
#define SC_RESTORE                    61728   // 0xF120

/*
 * Resource Loading constant
 */

#define IMAGE_BITMAP        0
#define IMAGE_ICON          1
#define IMAGE_CURSOR        2
#define IMAGE_ENHMETAFILE   3

#define LR_DEFAULTCOLOR                   0   // 0x0000
#define LR_MONOCHROME                     1   // 0x0001
#define LR_COLOR                          2   // 0x0002
#define LR_COPYRETURNORG                  4   // 0x0004
#define LR_COPYDELETEORG                  8   // 0x0008
#define LR_LOADFROMFILE                  16   // 0x0010
#define LR_LOADTRANSPARENT               32   // 0x0020
#define LR_DEFAULTSIZE                   64   // 0x0040
#define LR_VGACOLOR                     128   // 0x0080
#define LR_LOADMAP3DCOLORS             4096   // 0x1000
#define LR_CREATEDIBSECTION            8192   // 0x2000
#define LR_COPYFROMRESOURCE           16384   // 0x4000
#define LR_SHARED                     32768   // 0x8000

/*
 * Dialog Box Command IDs
 */
#define IDOK                1
#define IDCANCEL            2
#define IDABORT             3
#define IDRETRY             4
#define IDIGNORE            5
#define IDYES               6
#define IDNO                7

/*
 * User Button Notification Codes
 */
#define BN_CLICKED          0
#define BN_PAINT            1
#define BN_HILITE           2
#define BN_UNHILITE         3
#define BN_DISABLE          4
#define BN_DOUBLECLICKED    5
#define BN_PUSHED           BN_HILITE
#define BN_UNPUSHED         BN_UNHILITE
#define BN_DBLCLK           BN_DOUBLECLICKED
#define BN_SETFOCUS         6
#define BN_KILLFOCUS        7

/*
 * Button Control Messages
 */
#define BM_GETCHECK       240    // 0x00F0
#define BM_SETCHECK       241    // 0x00F1
#define BM_GETSTATE       242    // 0x00F2
#define BM_SETSTATE       243    // 0x00F3
#define BM_SETSTYLE       244    // 0x00F4
//#if(WINVER >= 0x0400)          // 
#define BM_CLICK          245    // 0x00F5
#define BM_GETIMAGE       246    // 0x00F6
#define BM_SETIMAGE       247    // 0x00F7
                                 // 
#define BST_UNCHECKED       0    // 0x0000
#define BST_CHECKED         1    // 0x0001
#define BST_INDETERMINATE   2    // 0x0002
#define BST_PUSHED          4    // 0x0004
#define BST_FOCUS           8    // 0x0008
//#endif /* WINVER >= 0x0400 */



/*
 * Edit Control Notification Codes
 */
#define EN_SETFOCUS         256    // 0x0100
#define EN_KILLFOCUS        512    // 0x0200
#define EN_CHANGE           768    // 0x0300
#define EN_UPDATE           1024   // 0x0400
#define EN_ERRSPACE         1280   // 0x0500
#define EN_MAXTEXT          1281   // 0x0501
#define EN_HSCROLL          1537   // 0x0601
#define EN_VSCROLL          1538   // 0x0602

/*
 * Combo Box messages
 */
#define CB_GETEDITSEL               320
#define CB_LIMITTEXT                321
#define CB_SETEDITSEL               322
#define CB_ADDSTRING                323
#define CB_DELETESTRING             324
#define CB_DIR                      325
#define CB_GETCOUNT                 326
#define CB_GETCURSEL                327
#define CB_GETLBTEXT                328
#define CB_GETLBTEXTLEN             329
#define CB_INSERTSTRING             330
#define CB_RESETCONTENT             331
#define CB_FINDSTRING               332
#define CB_SELECTSTRING             333
#define CB_SETCURSEL                334

/* Logical Font */

#define LF_FULLFACESIZE     64


#define OUT_DEFAULT_PRECIS          0
#define OUT_STRING_PRECIS           1
#define OUT_CHARACTER_PRECIS        2
#define OUT_STROKE_PRECIS           3
#define OUT_TT_PRECIS               4
#define OUT_DEVICE_PRECIS           5
#define OUT_RASTER_PRECIS           6
#define OUT_TT_ONLY_PRECIS          7
#define OUT_OUTLINE_PRECIS          8
#define OUT_SCREEN_OUTLINE_PRECIS   9
#define OUT_PS_ONLY_PRECIS          10

#define CLIP_DEFAULT_PRECIS     0
#define CLIP_CHARACTER_PRECIS   1
#define CLIP_STROKE_PRECIS      2
#define CLIP_MASK               0xf
#define CLIP_LH_ANGLES          (1<<4)
#define CLIP_TT_ALWAYS          (2<<4)
#define CLIP_EMBEDDED           (8<<4)

#define DEFAULT_QUALITY         0
#define DRAFT_QUALITY           1
#define PROOF_QUALITY           2
//#if(WINVER >= 0x0400)
#define NONANTIALIASED_QUALITY  3
#define ANTIALIASED_QUALITY     4
//#endif /* WINVER >= 0x0400 */

#define DEFAULT_PITCH           0
#define FIXED_PITCH             1
#define VARIABLE_PITCH          2
//#if(WINVER >= 0x0400)
#define MONO_FONT               8
//#endif /* WINVER >= 0x0400 */

#define ANSI_CHARSET            0
#define DEFAULT_CHARSET         1
#define SYMBOL_CHARSET          2
#define SHIFTJIS_CHARSET        128
#define HANGEUL_CHARSET         129
#define HANGUL_CHARSET          129
#define GB2312_CHARSET          134
#define CHINESEBIG5_CHARSET     136
#define OEM_CHARSET             255
//#if(WINVER >= 0x0400)
#define JOHAB_CHARSET           130
#define HEBREW_CHARSET          177
#define ARABIC_CHARSET          178
#define GREEK_CHARSET           161
#define TURKISH_CHARSET         162
#define VIETNAMESE_CHARSET      163
#define THAI_CHARSET            222
#define EASTEUROPE_CHARSET      238
#define RUSSIAN_CHARSET         204

#define MAC_CHARSET             77
#define BALTIC_CHARSET          186

/* Font Weights */
#define FW_DONTCARE         0
#define FW_THIN             100
#define FW_EXTRALIGHT       200
#define FW_LIGHT            300
#define FW_NORMAL           400
#define FW_MEDIUM           500
#define FW_SEMIBOLD         600
#define FW_BOLD             700
#define FW_EXTRABOLD        800
#define FW_HEAVY            900

#define FW_ULTRALIGHT       FW_EXTRALIGHT
#define FW_REGULAR          FW_NORMAL
#define FW_DEMIBOLD         FW_SEMIBOLD
#define FW_ULTRABOLD        FW_EXTRABOLD
#define FW_BLACK            FW_HEAVY



/* Brush Styles */
#define BS_SOLID            0
#define BS_NULL             1
#define BS_HOLLOW           BS_NULL
#define BS_HATCHED          2
#define BS_PATTERN          3
#define BS_INDEXED          4
#define BS_DIBPATTERN       5
#define BS_DIBPATTERNPT     6
#define BS_PATTERN8X8       7
#define BS_DIBPATTERN8X8    8
#define BS_MONOPATTERN      9

/* Pen Styles */
#define PS_SOLID            0
#define PS_DASH             1       /* -------  */
#define PS_DOT              2       /* .......  */
#define PS_DASHDOT          3       /* _._._._  */
#define PS_DASHDOTDOT       4       /* _.._.._  */
#define PS_NULL             5
#define PS_INSIDEFRAME      6
#define PS_USERSTYLE        7
#define PS_ALTERNATE        8
#define PS_STYLE_MASK       15

#define COLOR_SCROLLBAR         0
#define COLOR_BACKGROUND        1
#define COLOR_ACTIVECAPTION     2
#define COLOR_INACTIVECAPTION   3
#define COLOR_MENU              4
#define COLOR_WINDOW            5
#define COLOR_WINDOWFRAME       6
#define COLOR_MENUTEXT          7
#define COLOR_WINDOWTEXT        8
#define COLOR_CAPTIONTEXT       9
#define COLOR_ACTIVEBORDER      10
#define COLOR_INACTIVEBORDER    11
#define COLOR_APPWORKSPACE      12
#define COLOR_HIGHLIGHT         13
#define COLOR_HIGHLIGHTTEXT     14
#define COLOR_BTNFACE           15
#define COLOR_BTNSHADOW         16
#define COLOR_GRAYTEXT          17
#define COLOR_BTNTEXT           18
#define COLOR_INACTIVECAPTIONTEXT 19
#define COLOR_BTNHIGHLIGHT      20

#define COLOR_3DDKSHADOW        21
#define COLOR_3DLIGHT           22
#define COLOR_INFOTEXT          23
#define COLOR_INFOBK            24

#define COLOR_HOTLIGHT          26
#define COLOR_GRADIENTACTIVECAPTION 27
#define COLOR_GRADIENTINACTIVECAPTION 28

#define COLOR_DESKTOP           COLOR_BACKGROUND
#define COLOR_3DFACE            COLOR_BTNFACE
#define COLOR_3DSHADOW          COLOR_BTNSHADOW
#define COLOR_3DHIGHLIGHT       COLOR_BTNHIGHLIGHT
#define COLOR_3DHILIGHT         COLOR_BTNHIGHLIGHT
#define COLOR_BTNHILIGHT        COLOR_BTNHIGHLIGHT

/*
 * DrawText() Format Flags
 */
#define DT_TOP                      0
#define DT_LEFT                     0
#define DT_CENTER                   1
#define DT_RIGHT                    2
#define DT_VCENTER                  4
#define DT_BOTTOM                   8
#define DT_WORDBREAK                16
#define DT_SINGLELINE               32
#define DT_EXPANDTABS               64
#define DT_TABSTOP                  128
#define DT_NOCLIP                   256
#define DT_EXTERNALLEADING          512
#define DT_CALCRECT                 1024
#define DT_NOPREFIX                 2048
#define DT_INTERNAL                 4096

#define DT_EDITCONTROL              8192
#define DT_PATH_ELLIPSIS            16384
#define DT_END_ELLIPSIS             32768
#define DT_MODIFYSTRING             65536
#define DT_RTLREADING               131072
#define DT_WORD_ELLIPSIS            262144
#define DT_NOFULLWIDTHCHARBREAK     524288
#define DT_HIDEPREFIX               1048576
#define DT_PREFIXONLY               2097152

/*
 * Scroll Bar Commands
 */
#define SB_LINEUP           0
#define SB_LINELEFT         0
#define SB_LINEDOWN         1
#define SB_LINERIGHT        1
#define SB_PAGEUP           2
#define SB_PAGELEFT         2
#define SB_PAGEDOWN         3
#define SB_PAGERIGHT        3
#define SB_THUMBPOSITION    4
#define SB_THUMBTRACK       5
#define SB_TOP              6
#define SB_LEFT             6
#define SB_BOTTOM           7
#define SB_RIGHT            7
#define SB_ENDSCROLL        8

/*
 * Edit Control Styles
 */
#define ES_LEFT             0
#define ES_CENTER           1
#define ES_RIGHT            2
#define ES_MULTILINE        4
#define ES_UPPERCASE        8
#define ES_LOWERCASE        16
#define ES_PASSWORD         32
#define ES_AUTOVSCROLL      64
#define ES_AUTOHSCROLL      128
#define ES_NOHIDESEL        256
#define ES_OEMCONVERT       1024

/*
 * Window Styles
 */

#define WS_OVERLAPPED       0
#define WS_POPUP            2147483648 // 0x80000000L
#define WS_CHILD            1073741824 // 0x40000000L
#define WS_MINIMIZE         536870912  // 0x20000000L
#define WS_VISIBLE          268435456  // 0x10000000L
#define WS_DISABLED         134217728  // 0x08000000L
#define WS_BORDER           8388608    // 0x00800000L
#define WS_DLGFRAME         4194304    // 0x00400000L
#define WS_VSCROLL          2097152    // 0x00200000L
#define WS_HSCROLL          1048576    // 0x00100000L
#define WS_SYSMENU          524288     // 0x00080000L
#define WS_THICKFRAME       262144     // 0x00040000L
#define WS_GROUP            131072     // 0x00020000L
#define WS_TABSTOP          65536      // 0x00010000L
#define WS_CLIPSIBLINGS     67108864
#define WS_CLIPCHILDREN     33554432
#define WS_MAXIMIZE         16777216
#define WS_CAPTION          12582912     /* WS_BORDER | WS_DLGFRAME  */

#define WS_MINIMIZEBOX      131072
#define WS_MAXIMIZEBOX      65536


#define WS_TILED            WS_OVERLAPPED
#define WS_ICONIC           WS_MINIMIZE
#define WS_SIZEBOX          WS_THICKFRAME
#define WS_TILEDWINDOW      WS_OVERLAPPEDWINDOW



#define WS_OVERLAPPEDWINDOW (WS_OVERLAPPED     + ;
                             WS_CAPTION        + ;
                             WS_SYSMENU        + ;
                             WS_THICKFRAME     + ;
                             WS_MINIMIZEBOX    + ;
                             WS_MAXIMIZEBOX)

/*
 * Extended Window Styles
 */
#define WS_EX_DLGMODALFRAME              1    // 0x00000001L
#define WS_EX_NOPARENTNOTIFY             4    // 0x00000004L
#define WS_EX_TOPMOST                    8    // 0x00000008L
#define WS_EX_ACCEPTFILES               16    // 0x00000010L
#define WS_EX_TRANSPARENT               32    // 0x00000020L
#define WS_EX_MDICHILD                  64    // 0x00000040L
#define WS_EX_TOOLWINDOW               128    // 0x00000080L
#define WS_EX_WINDOWEDGE               256    // 0x00000100L
#define WS_EX_CLIENTEDGE               512    // 0x00000200L
#define WS_EX_CONTEXTHELP             1024    // 0x00000400L
                                                 
#define WS_EX_RIGHT                   4096    // 0x00001000L
#define WS_EX_LEFT                       0    // 0x00000000L
#define WS_EX_RTLREADING              8192    // 0x00002000L
#define WS_EX_LTRREADING                 0    // 0x00000000L
#define WS_EX_LEFTSCROLLBAR          16384    // 0x00004000L
#define WS_EX_RIGHTSCROLLBAR             0    // 0x00000000L
                                                 
#define WS_EX_CONTROLPARENT          65536    // 0x00010000L
#define WS_EX_STATICEDGE            131072    // 0x00020000L
#define WS_EX_APPWINDOW             262144    // 0x00040000L


#define WS_EX_OVERLAPPEDWINDOW  (WS_EX_WINDOWEDGE + WS_EX_CLIENTEDGE)
#define WS_EX_PALETTEWINDOW     (WS_EX_WINDOWEDGE + WS_EX_TOOLWINDOW + WS_EX_TOPMOST)

#define WS_EX_LAYERED               524288    // 0x00080000
#define WS_EX_NOINHERITLAYOUT      1048576    // 0x00100000L // Disable inheritence of mirroring by children
#define WS_EX_LAYOUTRTL            4194304    // 0x00400000L // Right to left mirroring
#define WS_EX_NOACTIVATE         134217728    // 0x08000000L


/*
 * Class styles
 */
#define CS_VREDRAW                       1    // 0x0001
#define CS_HREDRAW                       2    // 0x0002
#define CS_DBLCLKS                       8    // 0x0008
#define CS_OWNDC                        32    // 0x0020
#define CS_CLASSDC                      64    // 0x0040
#define CS_PARENTDC                    128    // 0x0080
#define CS_NOCLOSE                     512    // 0x0200
#define CS_SAVEBITS                   2048    // 0x0800
#define CS_BYTEALIGNCLIENT            4096    // 0x1000
#define CS_BYTEALIGNWINDOW            8192    // 0x2000
#define CS_GLOBALCLASS               16384    // 0x4000
#define CS_IME                       65536    // 0x00010000

/*
 * Standard Icon IDs
 */
#define IDI_APPLICATION     32512
#define IDI_HAND            32513
#define IDI_QUESTION        32514
#define IDI_EXCLAMATION     32515
#define IDI_ASTERISK        32516
//#if(WINVER >= 0x0400)
#define IDI_WINLOGO         32517
//#endif /* WINVER >= 0x0400 */

//#if(WINVER >= 0x0400)
#define IDI_WARNING     IDI_EXCLAMATION
#define IDI_ERROR       IDI_HAND
#define IDI_INFORMATION IDI_ASTERISK
//#endif /* WINVER >= 0x0400 */


/*
 * RedrawWindow() flags
 */
#define RDW_INVALIDATE          1      // 0x0001
#define RDW_INTERNALPAINT       2      // 0x0002
#define RDW_ERASE               4      // 0x0004
#define RDW_VALIDATE            8      // 0x0008
#define RDW_NOINTERNALPAINT     16     // 0x0010
#define RDW_NOERASE             32     // 0x0020
#define RDW_NOCHILDREN          64     // 0x0040
#define RDW_ALLCHILDREN         128    // 0x0080
#define RDW_UPDATENOW           256    // 0x0100
#define RDW_ERASENOW            512    // 0x0200

/*
 * Static Control Constants
 */
#define SS_LEFT                   0    // 0x00000000L
#define SS_CENTER                 1    // 0x00000001L
#define SS_RIGHT                  2    // 0x00000002L
#define SS_ICON                   3    // 0x00000003L
#define SS_BLACKRECT              4    // 0x00000004L
#define SS_GRAYRECT               5    // 0x00000005L
#define SS_WHITERECT              6    // 0x00000006L
#define SS_BLACKFRAME             7    // 0x00000007L
#define SS_GRAYFRAME              8    // 0x00000008L
#define SS_WHITEFRAME             9    // 0x00000009L
#define SS_USERITEM              10    // 0x0000000AL
#define SS_SIMPLE                11    // 0x0000000BL
#define SS_LEFTNOWORDWRAP        12    // 0x0000000CL
#define SS_OWNERDRAW             13    // 0x0000000DL
#define SS_BITMAP                14    // 0x0000000EL
#define SS_ENHMETAFILE           15    // 0x0000000FL
#define SS_ETCHEDHORZ            16    // 0x00000010L
#define SS_ETCHEDVERT            17    // 0x00000011L
#define SS_ETCHEDFRAME           18    // 0x00000012L
#define SS_TYPEMASK              31    // 0x0000001FL
#define SS_NOTIFY               256    // 0x00000100L
#define SS_CENTERIMAGE          512    // 0x00000200L
#define SS_RIGHTJUST           1024    // 0x00000400L
#define SS_REALSIZEIMAGE       2048    // 0x00000800L
#define SS_SUNKEN              4096    // 0x00001000L

/*
 * Button Control Styles
 */
#define BS_PUSHBUTTON       0       // 0x00000000L
#define BS_DEFPUSHBUTTON    1       // 0x00000001L
#define BS_CHECKBOX         2       // 0x00000002L
#define BS_AUTOCHECKBOX     3       // 0x00000003L
#define BS_RADIOBUTTON      4       // 0x00000004L
#define BS_3STATE           5       // 0x00000005L
#define BS_AUTO3STATE       6       // 0x00000006L
#define BS_GROUPBOX         7       // 0x00000007L
#define BS_USERBUTTON       8       // 0x00000008L
#define BS_AUTORADIOBUTTON  9       // 0x00000009L
#define BS_OWNERDRAW        11      // 0x0000000BL
#define BS_LEFTTEXT         32      // 0x00000020L

#define IDC_ARROW           32512
#define IDC_IBEAM           32513
#define IDC_WAIT            32514
#define IDC_CROSS           32515
#define IDC_SIZEWE          32644
#define IDC_SIZENS          32645
#define IDC_UPARROW         32516

/*
 * Key State Masks for Mouse Messages
 */
#define MK_LBUTTON          1       // 0x0001
#define MK_RBUTTON          2       // 0x0002
#define MK_SHIFT            4       // 0x0004
#define MK_CONTROL          8       // 0x0008
#define MK_MBUTTON          16      // 0x0010

/* Ternary raster operations */
#define SRCCOPY             13369376   /* 0x00CC0020  dest = source          */
// #define SRCPAINT            0          /* 0x00EE0086  dest = source OR dest  */
#define SRCAND              8913094    /* 0x008800C6  dest = source AND dest */
// #define SRCINVERT           0          /* 0x00660046  dest = source XOR dest */
// #define SRCERASE            0x00440328 /* dest = source AND (NOT dest )   */
// #define NOTSRCCOPY          0x00330008 /* dest = (NOT source)             */
// #define NOTSRCERASE         0x001100A6 /* dest = (NOT src) AND (NOT dest) */
#define MERGECOPY           12583114      /* 0x00C000CA dest = (source AND pattern) */
#define MERGEPAINT          12255782      /* 0x00BB0226 dest = (NOT source) OR dest */
// #define PATCOPY             0x00F00021 /* dest = pattern                  */
// #define PATPAINT            0x00FB0A09 /* dest = DPSnoo                   */
// #define PATINVERT           0x005A0049 /* dest = pattern XOR dest         */
// #define DSTINVERT           0x00550009 /* dest = (NOT dest)               */
// #define BLACKNESS           0x00000042 /* dest = BLACK                    */
// #define WHITENESS           0x00FF0062 /* dest = WHITE                    */

/*
 * ShowWindow() Commands
 */
#define SW_HIDE             0
#define SW_SHOWNORMAL       1
#define SW_NORMAL           1
#define SW_SHOWMINIMIZED    2
#define SW_SHOWMAXIMIZED    3
#define SW_MAXIMIZE         3
#define SW_SHOWNOACTIVATE   4
#define SW_SHOW             5
#define SW_MINIMIZE         6
#define SW_SHOWMINNOACTIVE  7
#define SW_SHOWNA           8
#define SW_RESTORE          9
#define SW_SHOWDEFAULT      10
#define SW_FORCEMINIMIZE    11
#define SW_MAX              11

/*                                             
 * MessageBox() Flags                          
 */                                            
#define MB_OK                       0  // 0x00000000L
#define MB_OKCANCEL                 1  // 0x00000001L
#define MB_ABORTRETRYIGNORE         2  // 0x00000002L
#define MB_YESNOCANCEL              3  // 0x00000003L
#define MB_YESNO                    4  // 0x00000004L
#define MB_RETRYCANCEL              5  // 0x00000005L

/*
 * Window field offsets for GetWindowLong()
 */
#define GWL_WNDPROC         (-4)
#define GWL_HINSTANCE       (-6)
#define GWL_HWNDPARENT      (-8)
#define GWL_STYLE           (-16)
#define GWL_EXSTYLE         (-20)
#define GWL_USERDATA        (-21)
#define GWL_ID              (-12)

/*
 * Menu fMask
 */
#define MIIM_STATE            1     // 0x00000001
#define MIIM_ID               2     // 0x00000002
#define MIIM_SUBMENU          4     // 0x00000004
#define MIIM_CHECKMARKS       8     // 0x00000008
#define MIIM_TYPE            16     // 0x00000010
#define MIIM_DATA            32     // 0x00000020

#define MIIM_STRING          64     // 0x00000040
#define MIIM_BITMAP         128     // 0x00000080
#define MIIM_FTYPE          256     // 0x00000100

/* ;win40  -- A lot of MF_* flags have been renamed as MFT_* and MFS_* flags */
/*
 * Menu flags for Add/Check/EnableMenuItem()
 */
#define MF_INSERT             0     // 0x00000000L
#define MF_CHANGE           128     // 0x00000080L
#define MF_APPEND           256     // 0x00000100L
#define MF_DELETE           512     // 0x00000200L
#define MF_REMOVE          4096     // 0x00001000L
                                       
#define MF_BYCOMMAND          0     // 0x00000000L
#define MF_BYPOSITION      1024     // 0x00000400L
                                       
#define MF_SEPARATOR       2048     // 0x00000800L
                                       
#define MF_ENABLED            0     // 0x00000000L
#define MF_GRAYED             1     // 0x00000001L
#define MF_DISABLED           2     // 0x00000002L
                                       
#define MF_UNCHECKED          0     // 0x00000000L
#define MF_CHECKED            8     // 0x00000008L
#define MF_USECHECKBITMAPS  512     // 0x00000200L
                                       
#define MF_STRING             0     // 0x00000000L
#define MF_BITMAP             4     // 0x00000004L
#define MF_OWNERDRAW        256     // 0x00000100L
                                       
#define MF_POPUP             16     // 0x00000010L
#define MF_MENUBARBREAK      32     // 0x00000020L
#define MF_MENUBREAK        128     // 0x00000040L
                                       
#define MF_UNHILITE           0     // 0x00000000L
#define MF_HILITE           128     // 0x00000080L
                                       
#define MF_DEFAULT         4096     // 0x00001000L
#define MF_SYSMENU         8192     // 0x00002000L
#define MF_HELP           16384     // 0x00004000L
#define MF_RIGHTJUSTIFY   16384     // 0x00004000L

#define MF_MOUSESELECT    32768     // 0x00008000L
#define MF_END              128     // 0x00000080L  /* Obsolete -- only used by old RES files */


#define MFT_STRING          MF_STRING
#define MFT_BITMAP          MF_BITMAP
#define MFT_MENUBARBREAK    MF_MENUBARBREAK
#define MFT_MENUBREAK       MF_MENUBREAK
#define MFT_OWNERDRAW       MF_OWNERDRAW
#define MFT_RADIOCHECK      512     // 0x00000200L
#define MFT_SEPARATOR       MF_SEPARATOR
#define MFT_RIGHTORDER     8192     // 0x00002000L
#define MFT_RIGHTJUSTIFY    MF_RIGHTJUSTIFY

/* Menu flags for Add/Check/EnableMenuItem() */
#define MFS_GRAYED            3     // 0x00000003L
#define MFS_DISABLED        MFS_GRAYED
#define MFS_CHECKED         MF_CHECKED
#define MFS_HILITE          MF_HILITE
#define MFS_ENABLED         MF_ENABLED
#define MFS_UNCHECKED       MF_UNCHECKED
#define MFS_UNHILITE        MF_UNHILITE
#define MFS_DEFAULT         MF_DEFAULT

/*
 * Combo Box styles
 */
#define CBS_SIMPLE                 1 // 0x0001L
#define CBS_DROPDOWN               2 // 0x0002L
#define CBS_DROPDOWNLIST           3 // 0x0003L
#define CBS_OWNERDRAWFIXED        16 // 0x0010L
#define CBS_OWNERDRAWVARIABLE     32 // 0x0020L
#define CBS_AUTOHSCROLL           64 // 0x0040L
#define CBS_OEMCONVERT           128 // 0x0080L
#define CBS_SORT                 256 // 0x0100L
#define CBS_HASSTRINGS           512 // 0x0200L
#define CBS_NOINTEGRALHEIGHT    1024 // 0x0400L
#define CBS_DISABLENOSCROLL     2048 // 0x0800L
#define CBS_UPPERCASE           8192 //   0x2000L
#define CBS_LOWERCASE          16384 //   0x4000L

/*                                                                             
 * SetWindowPos Flags                                                          
 */                                                                            
#define SWP_NOSIZE                 1 // 0x0001                                             
#define SWP_NOMOVE                 2 // 0x0002                                             
#define SWP_NOZORDER               4 // 0x0004                                             
#define SWP_NOREDRAW               8 // 0x0008                                             
#define SWP_NOACTIVATE            16 // 0x0010                                             
#define SWP_FRAMECHANGED          32 // 0x0020  /* The frame changed: send WM_NCCALCSIZE */
#define SWP_SHOWWINDOW            64 // 0x0040                                             
#define SWP_HIDEWINDOW           128 // 0x0080                                             
#define SWP_NOCOPYBITS           256 // 0x0100                                             
#define SWP_NOOWNERZORDER        512 // 0x0200  /* Don't do owner Z ordering */            
#define SWP_NOSENDCHANGING      1024 // 0x0400  /* Don't send WM_WINDOWPOSCHANGING */      
                                                                               
#define SWP_DRAWFRAME       SWP_FRAMECHANGED                                   
#define SWP_NOREPOSITION    SWP_NOOWNERZORDER                                  
                                                                               
#define SWP_DEFERERASE          8192 // 0x2000                                             
#define SWP_ASYNCWINDOWPOS     16384 // 0x4000                                             
                                                                               
                                                                               
#define HWND_TOP        (0)                                              
#define HWND_BOTTOM     (1)                                              
#define HWND_TOPMOST    (-1)                                             
#define HWND_NOTOPMOST  (-2)                                             


// Aggiungo i controlli (anche se andrebbero esplicitati dove servono)
#include "commctrl.ch"