/*
*-----------------------------------------------------------------------------
* WoopGUI for Harbour - Win32 OOP GUI library source code
* Copyright 2002 Francesco Saverio Giudice <info@fsgiudice.com>
*
*-----------------------------------------------------------------------------
* Parts of this project come from:
* "Harbour MiniGUI"
*                   Copyright 2002 Roberto Lopez <roblez@ciudad.com.ar>
*                   http://www.geocities.com/harbour_minigui/
* "Harbour GUI framework for Win32"
*                   Copyright 2001 Alexander S.Kresin <alex@belacy.belgorod.su>
*                   Copyright 2001 Antonio Linares <alinares@fivetech.com>
*                   http://www.harbour-project.org
*-----------------------------------------------------------------------------
*
*/

#include "woopgui.ch"
#include "common.ch"
#include "hbclass.ch"
#include "windows.ch"

// Menu definitions
CLASS TMenu
    // Base
    DATA nHandle  //PROTECTED             // Handle

    // Voci di menu controlli associati esclusivamente alla classe
    DATA aoItems INIT {} HIDDEN

    // METODI
    METHOD  Append()
    METHOD  New() CONSTRUCTOR

ENDCLASS

METHOD Append( oItem )
    LOCAL nIDItem
    aAdd( ::aoItems, oItem )
    nIDItem := iif( ValType( oItem:nIDItem) == "O", oItem:nIDItem:nHandle, oItem:nIDItem )
RETURN AppendMenu( ::nHandle, oItem:nFlags, nIDItem, oItem:cItem )

METHOD New()

    // Azzero l'array delle voci
    ::aoItems      := {}

RETURN Self
