
#include "woopgui.ch"
#include "common.ch"
#include "windows.ch"

function main  //( hInstance, hprevInstance, cCmdLine, nCmdShow )

   local oApp, oWnd1
   local oMenuBar, oStatusBar
   local oNewFrmClass


   oApp := tApplication():New( "Sample", "Application title", "small.ico" )
   
   // This commented lines contains the other way to assign an icon
   // oApp := tApplication():New( "Sample", "Application title" )
   // oNewFrmClass := TWindowDef():New( , ;            // Your Personal Style - use default
   //                                   , ;    // Here you can pass a user defined WindowProc() as a codeblock :-)) - If this has nothing to do it must be return -1
   //                                   oApp:nHandle,; // The application instance
   //                                   , ;            // Icon Handle, but we pass after with a file
   //                                   , ;            // Cursor Handle - use default
   //                                   , ;            // nBackground - use default
   //                                   , ;            // Menu resource name - use default
   //                                   "WoopGUIFrmClass", ; // Class name - :-)
   //                                 )               // Small Icon handle, if nil use the same of bigger
   //                            
   // // The icon you can pass through TApplication, see the above line
   // // this is only for example
   // oNewFrmClass:SetIconFromFile( "small.ico" )
   // oNewFrmClass:Register()
   // 
   // // Change the original form class
   // oApp:oFrmClass := oNewFrmClass
   
   // OK - now create application instance
   oApp:Create()
                               
   oWnd1 := TFrame():New()
   oWnd1:SetStatusBar("Sample Form window - Status bar")
   
   oMenuBar := DefineMenu()
   
   oWnd1:SetMenu( oMenuBar )
   //oWnd2:SetMenu( oMenuBar )
   oWnd1:SetValue( "Francesco's Window" )

   // oWnd1:Show()
   oWnd1:Activate()

   //MessageBox(0, "Passato 3", "Error!")
   // oWnd2:Close()
   //MessageBox(0, "Premi per uscire", "Error!")
   //inkey(0)
   
   
   oApp:Activate()
   oApp:Quit()


return (0)

PROCEDURE ActiveDialog( oWnd1 )
   local oWnd2
   local oBut1, oBut2, oBut3, oBut4, oBut5, oBut6, oBut7, oBut8, oBut9
   local oStatusBar
   local aRows
   local oApp := ApplObj()
   local bOldEventHandler
   
   //MessageBox(0, "oWnd:ClassName = "+oWnd1:ClassName+" "+oWnd1:cName, "Error!")
   oWnd2 := tDialog():New("Example Dialog",0,0,300,550, oWnd1)
   //bOldEventHandler := oWnd2:b
   //MessageBox(0, "Passato 2", "Error!")
   oWnd2:SetStatusBar("Sample Dialog Window - Status bar")
   //MessageBox(0, "Passato 2", "Error!")
   oWnd2:Center()

   oApp:SetCurrentWindow( oWnd2 )

   oBut1 := tPushButton():New( "&Show Win 1", 10, 10, ,,,,"Show Window 1", "Press to show window 1" )
   oBut1:bAction   := {|| (oWnd1:Show(), oWnd2:ToTop()) }
   oBut1:SetFontByAttribute( "Times New Roman", 11,TRUE,TRUE,TRUE,TRUE)
   
   oBut2 := tPushButton():New( "&Hide Win 1", 10, 40, ,,,,"Hide Window 1" )
   oBut2:bAction   := {|| oWnd1:Hide() }
   
   oBut3 := tPushButton():New( "&Min. Win 1", 10, 70, ,,,,"Minimize Window 1" )
   oBut3:bAction   := {|| oWnd1:Minimize() }
   
   oBut4 := tPushButton():New( "M&ax. Win 1", 10,100, ,,,,"Maximize Window 1" )
   oBut4:bAction   := {|| (oWnd1:Maximize(),  oWnd2:ToTop()) }
   oBut5 := tPushButton():New( "&Res. Fin. 1",10,130, ,,,,"Restore Window 1" )
   oBut5:bAction   := {|| (oWnd1:Restore(),  oWnd2:ToTop()) }
   oBut6 := tPushButton():New( "&Dis. But. 1",10,160, ,,,,"Disable Button 1" )
   oBut6:bAction   := {|| oBut9:Disable() }
   oBut7 := tPushButton():New( "&Ena. But. 1", 10,190,,,,,"Enable Button 1" )
   oBut7:bAction   := {|| oBut9:Enable() }
   oBut8 := tPushButton():New( "Get values",10,220, ,,,,"Show values" )
   oBut8:bAction   := {|| ShowControlValues( oWnd2 ) }
   oBut8 := tCheckBox():New( "Check Box",10,270, ,,,,"Check Box" )
   oBut8 := tRadioButton():New( "Radio",10,300, ,,,,"Radio Button" )
   oBut8 := t3StateButton():New( "3 state",10,330,,,,,"3State Button" )
   oBut8 := tGroupBox():New( "GroupBox",5,250,120,200,,,"Group Box" )

   aRows := { "One", "Two", "Three", "Four", "Five", "Six" }

   oBut8 := tSimpleComboBox():New( "Combo",120, 10, ,, , aRows,"Simple Combo Box" )
   oBut8 := tDropDownComboBox():New( "Combo",120, 110, ,,, aRows,"Drop Down Combo Box" )
   oBut8 := tDropListComboBox():New( "Combo",120, 210, ,,, aRows,"Drop List Combo Box" )

   oBut8 := tPushButton():New( "Display Font Object",150,240, ,,,,"Choose Font Dialog Window" )
   oBut8:bAction   := {|oW, oFont| oFont:=TFont():New(), ParamDisplay( oFont, oFont ), ObjDisplayData( oFont:GetValue() ) }

   oBut8 := tPushButton():New( "Choose Font",150,270, ,,,,"Choose Font Dialog Window" )
   oBut8:bAction   := {|oW, oFont, nFont| oFont := TFont():New(), nFont:=ChooseFont( oFont ),; /*MessageBox(, "Handle of font selected: "+str(nFont := ChooseFont( oFont ))),; */
                                          ObjDisplayData( oFont ), iif( nFont <> 0, oW:SetFont( oFont ), NIL )  }
   oBut8 := tPushButton():New( "Close",150,300, ,,,,"Close Dialog Window" )
   oBut8:bAction   := {|| oWnd2:Destroy() }
   oBut9 := tStaticText():New( "Label",150,330, ,,,,"Label" )

   oBut8 := tPushButton():New( "Font But 1",150,360, ,,,,"Choose Font Dialog Window" )
   oBut8:bAction   := {|oW| ObjDisplayData( oBut1:GetFont() ) }
   

   oWnd2:Show()
   oBut1:SetFocus()
   
   oApp:UnSetCurrentWindow()

   //oBut8:bAction   := {|| oBut1:Enable() }

RETURN

STATIC FUNCTION DefineMenu()
  LOCAL oMenuBar, oMenuPopup
  LOCAL oMBi, oMPi

   // New Menu Bar
   oMenuBar := TMenuBar():New()

   oMBi  := TMenuItem():New(MF_POPUP, 100,"&File")
   
      // New popup menu
      oMenuPopup := TMenuPopup():New()
      // Add Items to Popup
      oMPi  := TMenuItem():New(,101,"&Dialog Window", {|oW| ActiveDialog( oW )/*, oW:Activate(), oW:ToTop()*/ } )
      oMenuPopup:Append( oMPi )
      oMPi  := TMenuItem():New(MF_SEPARATOR )
      oMenuPopup:Append( oMPi )
      oMPi  := TMenuItem():New(,102,"&Exit", {|oW| oW:Destroy() } )
      oMenuPopup:Append( oMPi )
   
   oMBi:nIDItem := oMenuPopup
   oMenuBar:Append( oMBi )
   
   oMBi  := TMenuItem():New(MF_POPUP,200,"&Modify")
   oMenuBar:Append( oMBi )

   oMBi  := TMenuItem():New(MF_POPUP,300,"&View")
   oMenuBar:Append( oMBi )

   oMBi  := TMenuItem():New(MF_POPUP,400,"&?")
      // New popup menu
      oMenuPopup := TMenuPopup():New()
      // Add Items to Popup
      oMPi  := TMenuItem():New(,401,"&About", ;
               {||MessageBox(0, "WoopGUI - A Win32 OOP GUI for Harbour"+CRLF+;
                                "(C) Francesco Saverio Giudice - 2002");
               } )
      oMenuPopup:Append( oMPi )
   
   oMBi:nIDItem := oMenuPopup
   oMenuBar:Append( oMBi )

RETURN oMenuBar

STATIC FUNCTION ShowControlValues( oWnd )
   local cString := "", n, oCtrls := oWnd:GetChildren(), o

//   aEval( oWnd:aoControls, {|o| cString += o:ClassName + " - " + o:cName + " - " + ;
//                               o:GetValueAsString() + CRLF } )
   
   FOR n := 1 TO LEN( oCtrls )
     o := oCtrls[n]
     cString += o:ClassName + " - "
     cString += o:cName + " - "
     cString += o:GetValueAsString()
     cString += CRLF
   NEXT n

   MessageBox(, cString, "Control values" )

RETURN 0